import Analysis from "./Analysis";
import "./App.css";
import Footer from "./Footer";
import Header from "./Header";
import Rankings from "./Rankings";
import { BrowserRouter, Routes, Route } from "react-router";
import { SessionProvider } from "./Session";
import { GraphComponent } from "./Network";
import MVPChart from "./MVPChart";
import { SetPassword } from "./SetPassword";

function App() {
  return (
    <BrowserRouter>
      <Routes>
        <Route path="/password" element={<SetPassword />} />
        <Route
          path="/*"
          element={
            <SessionProvider>
              <Header />
              <Routes>
                <Route index element={<Rankings />} />
                <Route path="/network" element={<GraphComponent />} />
                <Route path="/analysis" element={<Analysis />} />
                <Route path="/mvp" element={<MVPChart />} />
              </Routes>
              <Footer />
            </SessionProvider>
          }
        />
      </Routes>
    </BrowserRouter>
  );
}
export default App;
